Subject: [GIT PULL] iommu: Kill off pgsize_bitmap field from struct iommu_ops

From: [email-masked] (joro at 8bytes.org)
Date: Wed, 1 Apr 2015 23:28:54 +0200

On Wed, Apr 01, 2015 at 05:36:18PM +0100, Will Deacon wrote:
> The issue (speaking in terms of the ARM SMMU, since that's what I'm familiar
> with) is that we don't know the page sizes until we've chosen our
> translation regime.

Can't you hard-code one regime in the driver and just don't use the
others? Or might a SMMU only support a subset of the possible regimes?

	Joerg